# NAME

Trf_FlushTransformation - Interface to procedures used to flush buffered characters.

# SYNOPSIS

    #include <transform.h>

    int Trf_FlushTransformation
    (
    	Trf_ControlBlock ctrlBlock,
    	Tcl_Interp *interp,
    	ClientData clientData
    );

# PARAMETERS

Trf_ControlBlock ctrlBlock
  State of encoder/decoder.
Tcl_Interp *interp
  Interpreter for error messages (NULL posssible).
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

An encoder/decoder is allowed to buffer characters internally. A procedure of this type is called just before destruction to invoke special processing of such characters. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs